Bug 982234 - No input validation for y/n questions in -console installation
No input validation for y/n questions in -console installation
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: ER4
: EAP 6.1.1
Assigned To: Thomas Hauser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 08:44 EDT by Petr Kremensky
Modified: 2013-09-16 16:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:22:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-07-08 08:44:09 EDT
Description of problem:
There is no input validation for pack selection, shortcuts creation and auto.xml generation questions. Every input other than 'y' is resolved as 'no'.

Version-Release number of selected component (if applicable):
EAP 6.1.1 ER2

Steps to Reproduce:
1. java -jar jboss-eap-6.1.1.ER2-installer.jar -console
2. Try various kind of input for:
 - AppClient [y/n] 
 - XMLs and XSDs [y/n]
 - [Native Zips]  [y/n]
 - Create shortcuts in the Start-Menu (y/n) [y]:
 - Would you like to generate an automatic intallation script? (y/n) [n]

Actual results:
Every input other then 'y' is resolved as 'n'

Expected results:
input != [y|n] -> repeat question
Comment 1 Thomas Hauser 2013-07-08 11:14:22 EDT
Fixed by 93e8da0ad0834abc887e9db43b7b573bc4a5fd3c
 commit to 6.1.1 branch of izpack installer.
Comment 2 Petr Kremensky 2013-07-19 02:10:23 EDT
Verified on EAP 6.1.1 ER3. If [y|n] is expected on input, but input is different -> question is repeated.
Comment 3 Petr Kremensky 2013-07-19 02:23:27 EDT
This has been fixed only for 'Select packs you want to install' part (AppClient [y/n], XMLs and XSDs [y/n] and [Native Zips]  [y/n]).

 - Create shortcuts in the Start-Menu (y/n) [y]:
 - Would you like to generate an automatic intallation script? (y/n) [n]

are still acting as before. Can you please fix also these.
Comment 4 Thomas Hauser 2013-07-19 11:33:31 EDT
Fixed in fbb95c7e2f43ea657044085d9e809a9c23e3e0cd
Comment 5 Petr Kremensky 2013-08-01 02:48:06 EDT
Verified on EAP 6.1.1 ER4

Note You need to log in before you can comment on or make changes to this bug.